(*
/*

CLASS {Form_KOL|_for_migrated_projects}, UNTESTED:

IMPORT: {Form}, {Control}, {AL4_form} .

BASE CLASS: {Form} .

METHOD Form|_itself ==> {Form_KOL} := THIS .

{Control} Hidden_controls[], READ

METHOD SetControlVisible(
{Control} C|ontrol_to_show_or_hide,
BOOL Show|_or_hide_if_false)
	:
	CASE ? [Show] ? Hidden_controls[].Remove(C)
		   [C !IN Hidden_controls[]] ? Hidden_controls[] << C
	ELSE ==> ;
	Any_change .
	
METHOD ControlVisible(
{Control} C|ontrol_to_inspect) ==> BOOL :
	RESULT = C !IN Hidden_controls[] .
	
METHOD ShowMessage(STR Text|_to_show) :
	message(Text) .
	
OVERRIDE hidden ==> BOOL
	:= sender IN Hidden_controls[] .

METHOD SetClientSize(
INT Width|_pixels, INT Height|_pixels)
	:
	Set_client_size(Width.Pixels, Height.Pixels, 'SIZE_AS_IS') . 
	
END

*/
*)
unit Form_KOL;

interface

uses Forms, ExtCtrls;

type TColAlign = (CLIENT, LEFT, TOP, RIGHT, BOTTOM);

type TColSizes = record
	Width: Double;
	Label_w: Double;
	Nested_col: Boolean;
end;

const Default_sizes: TColSizes = (Width: 0; Label_w: 0; Nested_col: FALSE);

procedure new_column(
const Name:String; Align_col: TColAlign; Sizes_col: TColSizes);

function New_paintbox(
Form_: TForm; const Name:String; const Scrolls:String): TPaintBox;

implementation

procedure new_column(
const Name:String; Align_col: TColAlign; Sizes_col: TColSizes);
begin
    // just to be called in Delphi constructor
end;

function New_paintbox(
Form_: TForm; const Name:String; const Scrolls:String): TPaintBox;
begin
	// create {Paintbox} control
  Result := nil;
end;

end.
